/**
 * The MIT License (MIT)
 *
 * Copyright (c) 2014 UVC Ingenieure http://uvc.de/
 * Author: Max Holtzberg <mh@uvc.de>
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

#include <stdio.h>
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "uart.h"

static int printf_putchar(char c, FILE *stream);

static FILE usart_stdout = FDEV_SETUP_STREAM(printf_putchar, NULL,
		_FDEV_SETUP_WRITE);
		

static int printf_putchar(char c, FILE *stream)
{
	(void)stream;

	return uart_putchar(c);
}


int main(void)
{
	int ret;
	float val;
	
	uart_init(9600, PARITY_NONE, 8, 1);
	stdout = &usart_stdout;

	ret = sscanf("1.738e-3", "%f", &val);
	if (ret != 1) {
		printf("ERROR: failed to parse float value\r\n");
	} else {
		printf("Successfully parsed float: %f\r\n", val);
	}

    for (;;)
		__asm__("nop");
}